Subject: Re: [tsvwg] New Version Notification for draft-asai-tsvwg-transport-review-00.txt

From: Hirochika Asai <[email-masked]>
Date: Sun, 7 Feb 2021 22:11:14 +0900

Dear TSVWG folks,

I’ve been working on revising the following draft that presented
in the last IETF TSVWG meeting in one minute.
https://tools.ietf.org/html/draft-asai-tsvwg-transport-review-00

If you are interested in it or have any comments, I really appreciate
your feedbacks or comments before we submit the next version.

Thank you!
Hirochika Asai

> On Nov 4, 2020, at 7:23 PM, Hirochika Asai <[email-masked]> wrote:
> 
> Dear TSVWG and COINRG folks,
> 
> I have submitted the following (individual) draft on this Monday.
> https://tools.ietf.org/html/draft-asai-tsvwg-transport-review-00
> 
> This draft reviews the current transport layer functionality.
> We would like to discuss the architectural design for future
> transport protocol development for distributed computing
> starting from this document.  We appreciate your comments
> and feedbacks.
> 
> This document aims to improve end-to-end communications
> in heterogeneous networks where require more advanced
> network resource management or waypoint-aware networking,
> particularly machine-to-machine communications, including
> pub/sub communication and in-network computing.
> 
> Best regards,
> Hirochika Asai
> 
> 
> 
>> Begin forwarded message:
>> 
>> From: [email-masked]
>> Subject: New Version Notification for draft-asai-tsvwg-transport-review-00.txt
>> Date: November 2, 2020 at 4:42:45 PM GMT+9
>> To: "Hirochika Asai" <[email-masked]>
>> 
>> 
>> A new version of I-D, draft-asai-tsvwg-transport-review-00.txt
>> has been successfully submitted by Hirochika Asai and posted to the
>> IETF repository.
>> 
>> Name:		draft-asai-tsvwg-transport-review
>> Revision:	00
>> Title:		Separation of Data Path and Data Flow Sublayers in the Transport Layer
>> Document date:	2020-11-02
>> Group:		Individual Submission
>> Pages:		20
>> URL:            https://www.ietf.org/archive/id/draft-asai-tsvwg-transport-review-00.txt
>> Status:         https://datatracker.ietf.org/doc/draft-asai-tsvwg-transport-review/
>> Htmlized:       https://datatracker.ietf.org/doc/html/draft-asai-tsvwg-transport-review
>> Htmlized:       https://tools.ietf.org/html/draft-asai-tsvwg-transport-review-00
>> 
>> 
>> Abstract:
>>   This document reviews the architectural design of the transport
>>   layer.  In particular, this document separates the transport layer
>>   into two sublayers; the data path and the data flow layers.  The data
>>   path layer provides functionality on the data path, such as
>>   connection handling, path quality and trajectory monitoring, waypoint
>>   management, and congestion control.  The data flow layer provides
>>   additional functionality upon the data path layer, such as flow
>>   control for the receive buffer management, retransmission for
>>   reliable data delivery, and transport layer security.  The data path
>>   layer multiplexes multiple data flow layer protocols and provides
>>   data path information to the data flow layer to control data
>>   transmissions, such as prioritization and inverse multiplexing for
>>   multipath protocols.
>> 
>> 
>> 
>> 
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>> 
>> The IETF Secretariat
>> 
>> 
>